## python-tomli-w 1.2.0

=== benchmark/requirements.txt ===
# NOTE
# Tomli-W itself is not included here because tox is used to read
# this file and install the deps, and it handles the Tomli-W
# installation separately.
pytomlpp
toml
tomlkit
qtoml
# comment out TOML v1.0.0 incompatible rtoml
#rtoml

# for reading data.toml
tomli

=== tests/requirements.txt ===
pytest
pytest-randomly
pytest-cov >=2.12.1
tomli

## python-tomli-w 1.0.0

=== debian/changelog ===
python-tomli-w (1.0.0-3) unstable; urgency=medium

  * Team upload.
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of "auto" for setting
    the amount of parallel testing. Unbreaks the build on hurd-* where
    psutil does not work.
  * Switch autopkgtest to pybuild.
  * Standards-Version: 4.7.0 (routine-update)
  * d/upstream/metadata: add repository & bug info
  Set upstream metadata fields: Repository.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 22 Jan 2025 13:25:42 +0100

python-tomli-w (1.0.0-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/control
    - fix typo in short description (witer -> writer)

  [ Scott Kitterman ]
  * debian/control
    - Add pybuild-plugin-pyproject to build-depends
    - Bump standards-version to 4.6.1 with no further changes
  * debian/rules
    - Drop environment variable to specify pybuild flit plugin

 -- Scott Kitterman <scott@kitterman.com>  Tue, 22 Nov 2022 15:44:43 -0500

python-tomli-w (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update autopkgtest to run for all supported python3 versions

 -- Scott Kitterman <scott@kitterman.com>  Sat, 04 Dec 2021 22:49:14 -0500

python-tomli-w (0.4.0-2) unstable; urgency=medium

  * Source only upload to allow binary to be built on buildd

 -- Scott Kitterman <scott@kitterman.com>  Wed, 01 Dec 2021 10:55:19 -0500

python-tomli-w (0.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1000675)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Nov 2021 20:36:06 -0500

=== debian/control ===
Source: python-tomli-w
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               flit (>= 3.2),
               python3-tomli,
               python3-pytest-xdist <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tomli-w
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tomli-w.git
Homepage: https://github.com/hukkin/tomli-w
Rules-Requires-Root: no

Package: python3-tomli-w
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: lil' TOML writer for Python
 Tomli-w is a Python library for writing TOML. https://toml.io/
 Tomli-w is fully compatible with TOML v1.0.0. https://toml.io/en/v1.0.0

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
include /usr/share/dpkg/buildopts.mk
export LC_ALL=C.UTF-8
export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS=-n $(DEB_BUILD_OPTION_PARALLEL) -k "not test_own_pyproject" {dir}/tests

%:
	dh $@ --buildsystem pybuild

## python-tomli-w 1.2.0

=== debian/changelog ===
python-tomli-w (1.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.2.0
  * Drop "Rules-Requires-Root: no"
  * Bump Standards-Version to 4.7.2
  * Patch-out python3-tomli

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Aug 2025 18:46:32 +0200

=== debian/control ===
Source: python-tomli-w
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Scott Kitterman <scott@kitterman.com>,
Section: python
Testsuite: autopkgtest-pkg-pybuild
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 flit (>= 3.2),
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
 python3-pytest-xdist <!nocheck>,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tomli-w
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tomli-w.git
Homepage: https://github.com/hukkin/tomli-w
X-Style: black

Package: python3-tomli-w
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: lil' TOML writer for Python
 Tomli-w is a Python library for writing TOML. https://toml.io/
 Tomli-w is fully compatible with TOML v1.0.0. https://toml.io/en/v1.0.0

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
include /usr/share/dpkg/buildopts.mk
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=-n $(DEB_BUILD_OPTION_PARALLEL) {dir}/tests

%:
	dh $@ --buildsystem pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?(\d[\d.]*)\.tar\.gz%@python-tomli-w-$1.tar.gz%" \
  https://github.com/hukkin/tomli-w/tags .*/refs/tags/@ANY_VERSION@\.tar\.gz
